using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;
using System.Collections;

namespace TZONE.Contracts
{
    [ServiceContract(Name = "TZONEIDown", Namespace = "TZONEIDown")]
    public interface IDown
    {
        /// <summary>
        /// 下行指令
        /// </summary>
        /// <param name="imei">产品imei</param>
        /// <param name="data">指令</param>
        /// <returns>
        /// key:imei
        /// value:PID|product_model|type_id
        /// </returns>
        [OperationContract]
        [FaultContract(typeof (Exception))]
        Hashtable DownCommand(Dictionary<string,string> parm);

        /// <summary>
        /// 获取当前在线IMEI
        /// </summary>
        /// <returns></returns>
        [OperationContract]
        [FaultContract(typeof(Exception))]
        Hashtable GetOnLineIMEI();
    }
}
